PROGRAM GRAPHICBTN!       Example graphicbutton.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-15  Time: 00:10:53

USE JAPI


INTEGER :: frame,gbutton

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  GO TO 20
END IF

frame   = j_frame("Graphic Buttons")
CALL j_setflowlayout(frame,j_horizontal)

gbutton = j_graphicbutton(frame,"images/open.gif")
gbutton = j_graphicbutton(frame,"images/new.gif")
gbutton = j_graphicbutton(frame,"images/save.gif")
gbutton = j_graphicbutton(frame,"images/cut.gif")
gbutton = j_graphicbutton(frame,"images/copy.gif")
gbutton = j_graphicbutton(frame,"images/paste.gif")

CALL j_pack(frame)
CALL j_show(frame)

NEXTACTION: DO
      IF(j_nextaction() == frame) EXIT NEXTACTION
END DO NEXTACTION

20  continue
CALL j_quit()
END PROGRAM GRAPHICBTN

